# Method: categories.batchGet

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.BatchGetBusinessCategoriesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/categories/batchGet#body.aspect)

Returns a list of business categories for the provided language and GConcept ids.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/categories:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Required. The BCP 47 code of language that the category names should be returned in. |
| `categoryIds[]` | `string` Required. At least one name must be set. The GConcept ids the localized category names should be returned for. |
| `regionCode` | `string` Optional. The ISO 3166-1 alpha-2 country code used to infer non-standard language. |
| `view` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/CategoryView`)`` Required. Specifies which parts to the Category resource should be returned in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for BusinessCategories.BatchGetBusinessCategories.

| JSON representation ||
|---|---|
| ``` { "categories": [ { object (`https://developers.google.com/my-business/reference/rest/v4/categories#Category`) } ] } ``` |

| Fields ||
|---|---|
| `categories[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/categories#Category`)`` Categories that match the GConcept ids provided in the request. They will not come in the same order as category ids in the request. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).